﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class TabStrip_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            LoadTournament(RadTabStrip1);
    }


    private void LoadTournament(RadTabStrip radTabStrip)
    {
        foreach (RadTab tb in radTabStrip.Tabs)
        {

            tb.ScrollChildren = true;

            for (int i = 0; i < 10; i++)
            {

                RadTab tab = new RadTab();
                tab.Value = "Value " + i.ToString(); //ev.TournamentID.ToString();
                tab.Text = "Text " + i.ToString(); // ev.Tournament;


                Label label = new Label();
                label.Text = "MyLabel for Tab :" + tab.Text;

                RadPageView pageView = new RadPageView();
                pageView.ID = tb.Text + tab.Text;
                pageView.Controls.Add(label);
                RadMultiPage1.PageViews.Add(pageView);
                tab.PageViewID = pageView.ID;


                tb.Tabs.Add(tab);

            }

        }
    }

}